For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all webhooks
        • POSTCreate a webhook
        • GETGet a webhook by ID
        • PUTUpdate a webhook
        • DELDelete a webhook
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIswebhooks-configuration

Update a webhook

PUT
/v1/webhooks/:webhook_id
PUT
/v1/webhooks/:webhook_id
$curl -X PUT https://api.propexo.com/v1/webhooks/webhook_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "result": {
3 "id": "wh_9f8b7c6d5e4a3b2c1d0e",
4 "created_at": "2024-05-10T09:15:00Z",
5 "updated_at": "2024-06-01T12:00:00Z",
6 "url": "https://webhooks.example.com/receive",
7 "headers": [
8 {
9 "header": "Authorization",
10 "value": "Bearer abc123xyz456"
11 }
12 ],
13 "active": true,
14 "secret": "s3cr3tK3yForWebhook",
15 "system": "PRODUCTION",
16 "triggers": [
17 {
18 "id": "trg_001",
19 "trigger": "DATA_UPDATE",
20 "model": "leases"
21 }
22 ]
23 }
24}
Update a webhook
Was this page helpful?
Previous

Delete a webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
urlstringOptionalformat: "uri"
The url to send the webhook to
headerslist of objectsOptional
Optional headers to send with the webhook
activebooleanOptional
Whether the webhook is active
secretstringOptional>=10 characters
The secret to use to sign the webhook payload.
triggerslist of enumsOptional
The events that will trigger the webhook
modelenumOptional

The model for the webhook trigger to monitor. Only applies to DATA_UPDATE and DATA_NEW triggers

Response

Successful response
resultobject

Errors

400
Bad Request Error